package com.ar.sketch.drawing.myadapter;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;

import com.ar.sketch.drawing.MyApp;
import com.ar.sketch.drawing.activity.ActivityPreview;
import com.ar.sketch.drawing.dbManager.DataLocal;
import com.ar.sketch.drawing.utils.MyUtils;
import com.ar.sketch.drawing.R;

import java.util.List;

public class AdapterFavorite extends RecyclerView.Adapter<AdapterFavorite.HomeVH> {


    private Activity mCon;
    private List<DataLocal> data;


    public void setData(List<DataLocal> data) {
        this.data = data;
        notifyDataSetChanged();
    }
    public AdapterFavorite(Activity mCon) {
        this.mCon = mCon;
    }

    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_list, parent, false);
        return new HomeVH(view);
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {
        DataLocal dataLocal = data.get(position);
        String name = dataLocal.getPath();
        new Thread(new Runnable() {
            @Override
            public void run() {
                Bitmap bitmap = MyUtils.loadImage(mCon, name);
                mCon.runOnUiThread(()->{
                    holder.previewIm.setImageBitmap(bitmap);
                });

            }
        }).start();


        holder.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, ActivityPreview.class);
                intent.putExtra(MyApp.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });

    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ImageView previewIm, imFavorite;

        private CardView cardView ;


        public HomeVH(@NonNull View itemView) {
            super(itemView);
            previewIm = itemView.findViewById(R.id.imPreview);
            cardView = itemView.findViewById(R.id.card_view);

            imFavorite = itemView.findViewById(R.id.im_favorite);
        }


    }
}
